<template>
  <div class="formAutoUpload">

    <!--тип загрузки - из 1С, -->
    <template v-if="uploadType === $options.fileUploadType.S1">
      <div class="paragraph">
        Если вы желаете настроить выгрузку прайс-листа из 1С, оставьте заявку и <br>
        наши специалисты свяжутся с Вами в течение часа.
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel">Ваше имя</div>
        <div class="input _contact">
          <input
            class="input-field"
            type="text">
        </div>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel">Телефон*</div>
        <AppInputPhone
          class="_contact"
          :composite="false"/>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel"/>
        <AppButton
          :classes="['buttonSubmit']">
          <template #button-item>Отправить заявку</template>
        </AppButton>
      </div>
    </template>

    <!--тип загрузки - Поштучная загрузка запчастей -->
    <template v-else-if="uploadType === $options.fileUploadType.PIECE">
      <div class="row __align-top">
        <div class="column">
          <div class="formAutoUpload-item">
            <div class="priceLabel">Тип запчастей*</div>
            <AppInputRadio
              class="_filter"
              name="partType"
              :value="currentPartType"
              @input="changePartType($event, currentPartType)"
              :list="[
                {label:'Новые', value:$options.partTypes.ORIGIN,},
                {label:'Контрактные (б/у)', value:$options.partTypes.CONTRACT,}]"/>
          </div>

          <div
            class="formAutoUpload-item"
            v-if="currentPartType === $options.partTypes.ORIGIN">
            <div class="priceLabel"/>
            <AppCheckbox>
              <template #label>
                С уценкой или б/у
              </template>
            </AppCheckbox>
            <AppTooltipQuestion
              theme-button="dark"
              placement="right"
              content="Подсказка тут"/>
          </div>

          <div
            class="formAutoUpload-item _condition-contract"
            v-if="currentPartType === $options.partTypes.CONTRACT">
            <div class="priceLabel"/>
            <AppCheckbox>
              <template #label>
                <span class="__no-wrap">В отличном состоянии или новая</span>
              </template>
            </AppCheckbox>
            <AppTooltipQuestion
              theme-button="dark"
              placement="right"
              content="Подсказка тут"/>
          </div>

          <div class="formAutoUpload-item">
            <div class="priceLabel">Номер запчасти*</div>
            <div
              class="input _part"
              :class="{ '-invalid': hasError }">
              <div
                v-if="hasError"
                class="input-message-error">{{ textError }}
              </div>
              <input
                class="input-field"
                type="text"
                placeholder="артикул детали, например, 004162">
            </div>
          </div>

          <div class="formAutoUpload-item">
            <div class="priceLabel">Название запчасти*</div>
            <div
              class="input _part"
              :class="{ '-invalid': hasError }">
              <div
                v-if="hasError"
                class="input-message-error">{{ textError }}
              </div>
              <input
                class="input-field"
                type="text"
                placeholder="артикул детали, например, 004162">
            </div>
          </div>

          <div class="formAutoUpload-item">
            <div class="priceLabel">Производитель*</div>
            <div class="input">
              <div
                v-if="hasError"
                class="input-message-error">{{ textError }}
              </div>
              <AppSelect
                class="_name"
                :class="{ '-invalid': hasError }"
                placeholder="Не выбрано"/>
            </div>
          </div>

          <template v-if="currentPartType === $options.partTypes.ORIGIN">
            <div class="formAutoUpload-item">
              <div class="priceLabel _align-top">Описание запчасти</div>
              <div class="input _part">
                <textarea class="input-field _textarea"/>
              </div>
            </div>
          </template>

          <template v-if="currentPartType === $options.partTypes.CONTRACT">
            <div class="formAutoUpload-item">
              <div class="priceLabel">Цвет запчасти*</div>
              <div
                class="input _part"
                :class="{ '-invalid': hasError }">
                <div
                  v-if="hasError"
                  class="input-message-error">{{ textError }}
                </div>
                <input
                  class="input-field"
                  type="text"
                  placeholder="Не указан">
              </div>
            </div>

            <div class="formAutoUpload-item">
              <div class="priceLabel">Марка авто*</div>
              <div class="input">
                <div
                  v-if="hasError"
                  class="input-message-error">{{ textError }}
                </div>
                <AppSelect
                  class="_name"
                  :class="{ '-invalid': hasError }"
                  placeholder="Не выбрана"/>
              </div>
            </div>

            <div class="formAutoUpload-item">
              <div class="priceLabel">Модель авто*</div>
              <div class="input">
                <div
                  v-if="hasError"
                  class="input-message-error">{{ textError }}
                </div>
                <AppSelect
                  class="_name"
                  :class="{ '-invalid': hasError }"
                  placeholder="Не выбрана"/>
              </div>
            </div>

            <div class="formAutoUpload-item">
              <div class="priceLabel">Кузов</div>
              <div class="input">
                <AppSelect
                  class="_name"
                  placeholder="Не выбран"/>
              </div>
            </div>

            <div class="formAutoUpload-item">
              <div class="priceLabel">Двигатель</div>
              <div class="input">
                <AppSelect
                  class="_name"
                  placeholder="Не выбран"/>
              </div>
            </div>

            <div class="formAutoUpload-item">
              <div class="priceLabel">Год выпуска</div>
              <div class="input">
                <AppSelect
                  class="_name"
                  placeholder="Не выбран"/>
              </div>
            </div>
          </template>
        </div>

        <div
          v-if="currentPartType === $options.partTypes.CONTRACT"
          class="column">
          <div class="formAutoUpload-item">
            <div class="priceLabel _auto">Фотография запчасти</div>
            <AppButton :classes="['_blue']">
              <template #button-item>Выбрать файл</template>
            </AppButton>
            <div class="priceComment">JPG, PNG, GIF, 5 фото<br>не более 5 Мб каждая</div>
          </div>

          <div class="formAutoUpload-item _dropzone">
            <div class="dropzone">
              <span>
                Или перетащите фото со своего компьютера прямо сюда <br>
                JPG, PNG, GIF не более 5 Мб
              </span>
            </div>
          </div>
        </div>
      </div>

      <div
        v-if="currentPartType === $options.partTypes.CONTRACT"
        class="formAutoUpload-item">
        <div class="priceLabel">Место установки</div>
        <AppInputRadio
          class="_filter _rate"
          name="placementX"
          :list="placementsX"
          :value="0"/>
        <AppInputRadio
          class="_filter _rate"
          name="placementY"
          :list="placementsY"
          :value="0"/>
        <AppInputRadio
          class="_filter _rate"
          name="placementZ"
          :list="placementsZ"
          :value="0"/>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel">Магазин*</div>
        <div class="input">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <AppSelect
            class="_name"
            :class="{ '-invalid': hasError }"
            placeholder="Все магазины"/>
        </div>
        <div class="priceComment">Выберите магазины, в которые вы хотите загрузить прайс</div>
      </div>

      <!--BEGIN: блок выбора типа прайса-->
      <div class="formAutoUpload-item">
        <div class="priceLabel">Тип прайса*</div>
        <AppInputRadio
          class="_filter _price"
          name="price"
          :value="currentPriceType"
          @input="changePriceType($event, currentPriceType)"
          :list="[
            {label:'В наличии', value:'instock',},
            {label:'Под заказ', value:'underorder',}]"/>
        <div
          v-if="currentPriceType === 'instock'"
          class="priceComment">“В наличии” означает “0 дней доставки” - товар можно забрать “прямо сейчас”</div>
        <template v-if="currentPriceType === 'underorder'">
          <span class="priceLabel _auto">до</span>
          <div class="input _delivery-time">
            <input
              type="text"
              placeholder=""
              class="input-field">
          </div>
          <AppInputRadio
            class="_filter"
            name="unit-delivery-time"
            :value="0"
            :list="[
              {label:'Дней', value:0,},
              {label:'Часов', value:1,}]"/>
        </template>
      </div>

      <div
        v-if="currentPriceType === 'underorder'"
        class="formAutoUpload-item">
        <div class="priceLabel">Сроки поставки*</div>
        <div
          class="input _price"
          :class="{ '-invalid': hasError}">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <input
            type="text"
            placeholder=""
            class="input-field">
        </div>
      </div>

      <div class="formAutoUpload-item">
        <div
          v-if="currentPriceType === 'instock'"
          class="priceLabel">Гарантированное количество,&nbsp;шт*</div>
        <div
          v-else
          class="priceLabel">Количество, доступное для&nbsp;заказа,&nbsp;шт*</div>
        <div
          class="input _price"
          :class="{ '-invalid': hasError}">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <input
            type="text"
            placeholder=""
            class="input-field">
        </div>
      </div>
      <!--END: блок выбора типа прайса-->

      <div class="formAutoUpload-item">
        <div class="priceLabel">Минимальный заказ</div>
        <div class="input _info">
          <input
            type="text"
            placeholder="Укажите условия, например, От 10 000 руб или От 100 шт."
            class="input-field">
        </div>
      </div>

      <template v-if="currentPartType === $options.partTypes.CONTRACT">
        <div class="formAutoUpload-item">
          <div class="priceLabel _align-top">Текст объявления</div>
          <div class="input _info">
            <textarea
              class="input-field _textarea"
              placeholder="Все, что вы хотите рассказать покупателям об этой запчасти или условиях ее продажи"/>
          </div>
        </div>
      </template>

      <div class="formAutoUpload-item">
        <div class="priceLabel"/>
        <AppButton
          :classes="['buttonSubmit']">
          <template #button-item>
            Отправить на обработку
          </template>
        </AppButton>
      </div>

    </template>

    <template v-else>
      <div class="formAutoUpload-item">
        <div class="priceLabel">Тип запчастей*</div>
        <AppInputRadio
          class="_filter"
          name="partType"
          :value="currentPartType"
          @input="changePartType($event, currentPartType)"
          :list="[
            {label:'Новые', value:$options.partTypes.ORIGIN,},
            {label:'Контрактные (б/у)', value:$options.partTypes.CONTRACT,},
            {label:'Шины', value:$options.partTypes.TYRES,},
            {label:'Диски', value:$options.partTypes.WHEELS,}]"/>
        <div class="priceComment">Если прайс смешанный, загрузятся только выбранные детали</div>
      </div>

      <div
        class="formAutoUpload-item"
        v-if="currentPartType === $options.partTypes.ORIGIN">
        <div class="priceLabel"/>
        <AppCheckbox>
          <template #label>
            С уценкой или б/у
          </template>
        </AppCheckbox>
        <AppTooltipQuestion
          theme-button="dark"
          placement="right"
          content="Подсказка тут"/>
      </div>

      <div
        class="formAutoUpload-item _condition-contract"
        v-if="currentPartType === $options.partTypes.CONTRACT">
        <div class="priceLabel"/>
        <AppCheckbox>
          <template #label>
            <span class="__no-wrap">В отличном состоянии или новая</span>
          </template>
        </AppCheckbox>
        <AppTooltipQuestion
          theme-button="dark"
          placement="right"
          content="Подсказка тут"/>
      </div>

      <!--тип загрузки - с компьютера, форма для выбора файла-->
      <template v-if="uploadType === $options.fileUploadType.PC">
        <div class="formAutoUpload-item _file">
          <div class="priceLabel">Файл для загрузки*</div>
          <AppButton :classes="['_blue']">
            <template #button-item>Выбрать файл</template>
          </AppButton>
          <div class="priceComment">CSV, TXT, XLS, не более 50 Мб</div>
        </div>

        <div class="formAutoUpload-item _dropzone">
          <div class="dropzone">
            <span>
              Или перетащите файл с прайсом со своего компьютера прямо сюда <br>
              CSV, TXT, XSL не более 50 Mb
            </span>
          </div>
        </div>
      </template>

      <!--тип загрузки - по почте, форма для выбора файла-->
      <template v-if="uploadType === $options.fileUploadType.EMAIL">
        <div class="formAutoUpload-item _file">
          <div class="priceLabel">Электронная почта*</div>
          <div
            class="input _file"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}
            </div>
            <input
              class="input-field"
              type="text">
          </div>
          <div class="priceComment">С которой будет отправлен прайс</div>
        </div>

        <div class="formAutoUpload-item">
          <div class="priceLabel">Имя файла*</div>
          <div
            class="input _file"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}
            </div>
            <input
              class="input-field"
              type="text">
          </div>
          <AppTooltipQuestion
            theme-button="dark"
            placement="right"
            content="Подсказка тут"/>
          <div class="priceComment">Нельзя изменить для текущей загрузки</div>
        </div>
      </template>

      <!--тип загрузки - по внешней ссылке, форма для выбора файла-->
      <template v-if="uploadType === $options.fileUploadType.HREF">
        <div class="formAutoUpload-item _file">
          <div class="priceLabel">Адрес ссылки*</div>
          <div
            class="input _file"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}
            </div>
            <input
              class="input-field"
              type="text">
          </div>
          <div class="priceComment">Где хранится прайс</div>
        </div>

        <div class="formAutoUpload-item">
          <div class="priceLabel">Частота обновления файла*</div>
          <div
            class="input _file"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}
            </div>
            <input
              class="input-field"
              type="text">
          </div>
          <AppTooltipQuestion
            theme-button="dark"
            placement="right"
            content="Подсказка тут"/>
          <div class="priceComment">С какой периодичностью можно загружать прайс</div>
        </div>
      </template>

      <!--тип загрузки - по FTP, форма для выбора файла-->
      <template v-if="uploadType === $options.fileUploadType.FTP">
        <div class="formAutoUpload-item _file">
          <div class="priceLabel">Адрес загрузки</div>
          <a
            href="#"
            class="link">
            ftp://gisauto.ru/eb76feeec8190eda499452a97da9c182
          </a>
          <div class="priceComment">Сюда нужно выкладывать прайс.<br>Для удобства создайте папку на своем компьютере
          </div>
        </div>

        <div class="formAutoUpload-item">
          <div class="priceLabel">Имя файла*</div>
          <div
            class="input _file"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}
            </div>
            <input
              class="input-field"
              type="text">
          </div>
          <div class="priceComment">Где хранится прайс</div>
        </div>

        <div class="formAutoUpload-item">
          <div class="priceLabel">Частота обновления файла*</div>
          <div
            class="input _file"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}
            </div>
            <input
              class="input-field"
              type="text">
          </div>
          <AppTooltipQuestion
            theme-button="dark"
            placement="right"
            content="Подсказка тут"/>
          <div class="priceComment">С какой периодичностью можно загружать прайс</div>
        </div>
      </template>

      <!--предпросмотр файла прайса-->
      <div class="formAutoUpload-item _price-preview">
        <div class="priceLabel _auto">Установите заголовки для столбцов</div>
        <div class="row">
          <div class="priceLabel _auto">Первая строка*</div>
          <div
            class="input"
            :class="{ '-invalid': hasError }">
            <div
              v-if="hasError"
              class="input-message-error">{{ textError }}</div>
            <AppInputNumber class="_small"/>
          </div>
          <AppTooltipQuestion
            theme-button="dark"
            placement="right"
            content="Подсказка тут"/>
          <div class="priceComment">С какой строки в файле начинается <br>перечисление запчастей</div>
        </div>
      </div>
      <div class="formAutoUpload-item ">
        <div class="tablePricePreviewWrapper -custom-scroll">
          <div class="table tablePricePreview">
            <div class="thead">
              <div class="tr">
                <div class="th _number"/>
                <div
                  v-for="(item, index0) in 4"
                  :key="index0"
                  class="th">
                  <AppSelect
                    class="multiselectThemeSmall _column"
                    placeholder="Не выбрано"/>
                </div>
              </div>
            </div>
            <div class="tbody">
              <div
                v-for="(item, index1) in 7"
                :key="index1"
                class="tr">
                <div class="td _number">
                  {{ item }}
                </div>
                <div
                  v-for="(item, index2) in 4"
                  :key="index2"
                  class="td">111-{{ item }}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel">Шаблон прайса*</div>
        <div class="input">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <AppSelect
            class="_name"
            :class="{ '-invalid': hasError }"
            placeholder="Не выбран"/>
        </div>
        <AppTooltipQuestion
          theme-button="dark"
          placement="right"
          content="Подсказка тут"/>
        <AppButton :classes="['_blue']">
          <template #button-item>Создать шаблон</template>
        </AppButton>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel">Магазин*</div>
        <div class="input">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <AppSelect
            class="_name"
            :class="{ '-invalid': hasError }"
            placeholder="Все магазины"/>
        </div>
        <div class="priceComment">Выберите магазины, в которые вы хотите загрузить прайс</div>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel">Валюта прайса*</div>
        <div class="input">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <AppSelect
            class="_currency"
            :class="{ '-invalid': hasError }"
            placeholder="Не выбран"/>
        </div>
        <AppTooltipQuestion
          theme-button="dark"
          placement="right"
          content="Подсказка тут"/>

        <!--отоброжать, когда выбрана любая валюта-->
        <template v-if="true">
          <AppInputRadio
            class="_filter _rate"
            name="rate"
            :value="currentRateType"
            @input="changeRateType($event, currentRateType)"
            :list="[
              {label:'Курс ЦБ РФ', value:'cbank',},
              {label:'Фиксированный', value:'fix',}]"/>

          <!--отоброжать, когда выбран фиксированный курс валюты-->
          <template v-if="currentRateType === 'fix'">
            <div class="input _fix-rate">
              <input
                class="input-field"
                type="text">
            </div>
            <div class="priceComment">руб.</div>
          </template>
        </template>
      </div>

      <div class="formAutoUpload-item _discount">
        <div class="priceLabel"/>
        <AppCheckbox v-model="isCurrentDiscountGisAuto">
          <template #label>
            Готов предоставить скидку покупателям GisAuto
          </template>
        </AppCheckbox>
        <template v-if="isCurrentDiscountGisAuto">
          <div class="input _percent">
            <input
              class="input-field"
              type="text">
          </div>
          <span class="priceComment">%</span>
        </template>
        <AppTooltipQuestion
          theme-button="dark"
          placement="right"
          content="Подсказка тут"/>
      </div>
      <div class="formAutoUpload-item">
        <div class="priceLabel">Изменение цены</div>
        <span class="priceLabel _auto">Опт</span>
        <AppInputRadio
          class="_form-circle _price-change"
          name="price-opt"
          :value="0"
          :list="[
            {label:'+', value:0,},
            {label:'-', value:1,}]"/>
        <div class="input _percent">
          <input
            class="input-field"
            type="text">
        </div>
        <span class="priceComment">%</span>
        <span class="priceLabel _auto">Розница</span>
        <AppInputRadio
          class="_form-circle _price-change"
          name="price-retail"
          :value="0"
          :list="[
            {label:'+', value:0,},
            {label:'-', value:1,}]"/>
        <div class="input _percent">
          <input
            class="input-field"
            type="text">
        </div>
        <span class="priceComment">%</span>
        <div class="priceComment">Укажите наценку или скидку в&nbsp;% для&nbsp;опта&nbsp;и&nbsp;розницы</div>
      </div>

      <!--BEGIN: блок выбора типа прайса-->
      <div class="formAutoUpload-item">
        <div class="priceLabel">Тип прайса*</div>
        <AppInputRadio
          class="_filter _price"
          name="price"
          :value="currentPriceType"
          @input="changePriceType($event, currentPriceType)"
          :list="[
            {label:'В наличии', value:'instock',},
            {label:'Под заказ', value:'underorder',}]"/>
        <div
          v-if="currentPriceType === 'instock'"
          class="priceComment">“В наличии” означает “0 дней доставки” - товар можно забрать “прямо сейчас”</div>
        <template v-if="currentPriceType === 'underorder'">
          <span class="priceLabel _auto">до</span>
          <div class="input _delivery-time">
            <input
              type="text"
              placeholder=""
              class="input-field">
          </div>
          <AppInputRadio
            class="_filter"
            name="unit-delivery-time"
            :value="0"
            :list="[
              {label:'Дней', value:0,},
              {label:'Часов', value:1,}]"/>
        </template>
      </div>

      <div
        v-if="currentPriceType === 'underorder'"
        class="formAutoUpload-item">
        <div class="priceLabel">Сроки поставки*</div>
        <div
          class="input _price"
          :class="{ '-invalid': hasError}">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <input
            type="text"
            placeholder=""
            class="input-field">
        </div>
      </div>

      <div class="formAutoUpload-item">
        <div
          v-if="currentPriceType === 'instock'"
          class="priceLabel">Гарантированное количество,&nbsp;шт*</div>
        <div
          v-else
          class="priceLabel">Количество, доступное для&nbsp;заказа,&nbsp;шт*</div>
        <div
          class="input _price"
          :class="{ '-invalid': hasError}">
          <div
            v-if="hasError"
            class="input-message-error">{{ textError }}
          </div>
          <input
            type="text"
            placeholder=""
            class="input-field">
        </div>
      </div>
      <!--END: блок выбора типа прайса-->

      <div class="formAutoUpload-item">
        <div class="priceLabel">Минимальный заказ</div>
        <div class="input _info">
          <input
            type="text"
            placeholder="Укажите условия, например, От 10 000 руб или От 100 шт."
            class="input-field">
        </div>
      </div>

      <div class="formAutoUpload-item">
        <div class="priceLabel"/>
        <AppButton
          :classes="['buttonSubmit']">
          <template #button-item>
            <span v-if="uploadType === $options.fileUploadType.PC">Отправить на обработку</span>
            <span v-else>Создать загрузку</span>
          </template>
        </AppButton>
      </div>
    </template>
  </div>

</template>

<script>
import AppInputNumber from '~/components/redesign/app-input/app-input-number';
import AppSelect from '~/components/redesign/app-select/app-select';
import AppCheckbox from '~/components/redesign/app-input/app-checkbox';
import AppInputRadio from '~/components/redesign/app-input/app-input-radio';
import AppInputPhone from '~/components/redesign/app-input/app-input-phone';
import AppTooltipQuestion from '~/components/redesign/app-tooltip/app-tooltip-question';
import AppButton from '~/components/redesign/app-buttons/app-button';

import PartTypes from '~/assets/js/enums/price-upload/part-types';
import FileUploadType from '~/assets/js/enums/price-upload/file-upload-type';

export default {
  name: 'FormAutoUpload',
  components: {
    AppButton,
    AppTooltipQuestion,
    AppInputRadio,
    AppInputPhone,
    AppCheckbox,
    AppSelect,
    AppInputNumber,
  },
  props: {
    uploadType: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      currentPartType: 'origin',
      currentRateType: 'cbank',
      currentPriceType: 'instock',
      isCurrentDiscountGisAuto: false,
      placementsX: [
        { value: 0, label: 'любое' },
        { value: 1, label: 'спереди' },
        { value: 2, label: 'сзади' },
      ],
      placementsY: [
        { value: 0, label: 'любое' },
        { value: 1, label: 'слева' },
        { value: 2, label: 'справа' },
      ],
      placementsZ: [
        { value: 0, label: 'любое' },
        { value: 1, label: 'сверху' },
        { value: 2, label: 'снизу' },
      ],
      hasError: false,
      textError: 'Это поле должно быть заполнено',
    };
  },
  created() {
    this.$options.partTypes = PartTypes;
    this.$options.fileUploadType = FileUploadType;
  },
  methods: {
    changePartType(target) {
      if (!Object.values(PartTypes).includes(target)) {
        return false;
      }
      this.currentPartType = target;

      return true;
    },

    changeRateType(target) {
      this.currentRateType = target;

      return true;
    },

    changePriceType(target) {
      this.currentPriceType = target;

      return true;
    },
  },
};
</script>

<style lang="postcss">
  .formAutoUpload {
    &-item {
      display: flex;
      align-items: center;
      padding-top: 1rem;
      font-size: 0.75rem;

      &._condition-contract {
        padding-left: 4rem;
      }

      &._discount {
        min-height: 3.375rem;
      }

      &._file {
        padding-top: 2rem;
      }

      &._price-preview {
        .row {
          margin-left: 15%;
        }
      }
    }

    .inputRadio + .input {
      margin-left: 1rem;
    }

    .inputRadio._price-change {
      height: var(--btn-height-regular);

      .inputRadio-label {
        padding: 0 1.25rem !important;
        font-weight: var(--font-weight-medium);
      }
    }

    .inputRadio._rate {
      margin-right: 1rem;
    }

    .input {
      width: auto;

      + .input {
        margin-left: 1rem;
      }

      .input-message-error {
        position: absolute;
        top: -0.875rem;
        display: block;
        padding: 0;
        margin: 0;
        font-size: 0.6875rem;
        line-height: 1rem;
        white-space: nowrap;
      }
    }

    .input._file,
    .input._part {
      flex-shrink: 0;
      width: 18.75rem;
    }

    .input._contact,
    .inputPhone._contact {
      flex-shrink: 0;
      width: 20rem;
    }

    .input._info {
      flex-shrink: 0;
      width: 29.75rem;
    }

    .input._delivery-time {
      flex-shrink: 0;
      width: 3rem;
      .input-field {
        height: var(--select-small-height);
        min-height: var(--select-small-height);
      }
      +.inputRadio {
        margin-left: 1rem;
      }
    }

    .input._percent {
      flex-shrink: 0;
      width: 4rem;

      + .priceComment {
        padding-left: 0.25rem;
        padding-right: 0;
        + .priceLabel {
          padding-left: 1.5rem;
        }
      }
    }

    .input._quantity {
      flex-shrink: 0;
      width: 5rem;
    }

    .input._price {
      flex-shrink: 0;
      width: 9.5rem;
    }

    .input._fix-rate {
      flex-shrink: 0;
      width: 5rem;
      margin-left: 0;

      + .priceComment {
        padding-left: 0.5rem;
        font-weight: var(--font-weight-medium);
        color: var(--color-main);
      }
    }

    .input.inputCheck {
      width: auto;

      .inputCheck-label {
        color: var(--color-main);
      }
    }

    .multiselect._name {
      width: 18.75rem;
      min-width: 18.75rem;
    }

    .multiselect._currency {
      width: 9.5rem;
      min-width: 9.5rem;
    }

    .multiselect._column {
      width: 12rem;
      min-width: 12rem;
    }

    .buttonQuestion {
      margin: auto 1.5rem auto 1rem;

      + .priceComment {
        padding-left: 0;
        margin-left: -0.5rem
      }
    }

    .buttonSubmit {
      width: 15.25rem;
      margin-top: 2rem;
    }

    .dropzone {
      display: flex;
      width: 100%;
      max-width: 50rem;
      height: 10rem;
      border-radius: 0.25rem;
      background-color: var(--bg-light);
      border: dashed 2px var(--border-color-main);

      span {
        margin: auto;
        text-align: center;
      }
    }

    .tablePricePreviewWrapper {
      display: block;
      width: 100%;
      max-width: 70rem;
      height: auto;
      max-height: 18rem;
      overflow: auto;
      -webkit-overflow-scrolling: touch;
    }

    .table.tablePricePreview {
      width: auto;
      grid-template-columns: max-content;
      .thead {
        width: auto;
        position: sticky;
        position: -webkit-sticky;
        top: 0;
      }
      .tr {
        width: auto;
        grid-auto-flow: column;
        grid-auto-columns: 13rem;
      }

      .th, .td {
        padding: 0.25rem 0.5rem;
        &._number {
          padding: 0.25rem 1rem;
        }
      }
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      .input._delivery-time {
        width: 4rem;
        .input-field {
          height: var(--btn-height-regular);
          min-height: var(--btn-height-regular);
        }
      }
    }

  }
</style>
